Update a relationship, either the unique ID or the customer/partner ID combination

Permission Level: Read-Write

PUT /tenants/relationships/{identifier}

Operation id: CustomerPartnerRelationshipService_UpdateRelationship

Tags: CustomerPartnerRelationshipService

Parameters

Path parameters

NameTypeRequiredDescription
identifierstringYesThe unique identifier of the relationship (id or concat cust-part id)

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
attributesarrayNoThe attributes associated with the relationship.
{
  "type": "object",
  "properties": {
    "attributes": {
      "type": "array",
      "description": "The attributes associated with the relationship.",
      "items": {
        "type": "object",
        "properties": {
          "scope": {
            "type": "string"
          },
          "fieldName": {
            "type": "string"
          },
          "value": {
            "type": "string"
          },
          "domain": {
            "type": "string"
          }
        }
      }
    }
  }
}

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
relationshipobjectNo
{
  "type": "object",
  "properties": {
    "relationship": {
      "type": "object",
      "properties": {
        "relationshipId": {
          "type": "string",
          "description": "A server-side generated unique Id. It cannot be provided."
        },
        "customerTenantId": {
          "type": "string",
          "description": "The platform tenantId of the customer in the relationship. Required: true."
        },
        "partnerTenantId": {
          "type": "string",
          "description": "The platform tenantId of the partner in the relationship.  Required: true."
        },
        "concatCustPartId": {
          "type": "string",
          "description": "A concatenated Id of the customerTenantId_partnerTenantId.  Unique because there can only be one relationship per customer/partner combination."
        },
        "attributes": {
          "type": "array",
          "description": "The attributes associated with the relationship.",
          "items": {
            "type": "object",
            "properties": {
              "scope": {
                "type": "string"
              },
              "fieldName": {
                "type": "string"
              },
              "value": {
                "type": "string"
              },
              "domain": {
                "type": "string"
              }
            }
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}